# Variables

## Introduction

Variables are used in Couchdrop to support custom filename and path creation in automations. Whenever setting a location or path in an automation, you can use variables to generate an appropriate path.

## Available Variables

The following variables are available for automations

<table><thead><tr><th width="262.88671875">Key</th><th width="187.765625">Value Example</th><th>Description</th></tr></thead><tbody><tr><td>{USER}</td><td>michael.lawson</td><td>The user who was uploading the file</td></tr><tr><td>{EXISTING_NAME}</td><td>test.txt</td><td>The current filename</td></tr><tr><td>{EXISTING_NAME_NOEXT}</td><td>test</td><td>The current filename without the extension</td></tr><tr><td>{EXISTING_NAME_EXT}</td><td>.txt</td><td>The extension only of the current filename</td></tr><tr><td>{YYYY}</td><td>2023</td><td>The current timestamp year</td></tr><tr><td>{YY}</td><td>23</td><td>The current timestamp year in shortform</td></tr><tr><td>{MMM}</td><td>AUG</td><td>The month in a human readable format</td></tr><tr><td>{MM}</td><td>03</td><td>The month in a numerical format</td></tr><tr><td>{DD}</td><td>02</td><td>The day of the month</td></tr><tr><td>{TIME_HH}</td><td>23</td><td>Hour in 24 hour time</td></tr><tr><td>{TIME_MM}</td><td>30</td><td>Minutes of the hour</td></tr><tr><td>{TIME_SS}</td><td>24</td><td>Seconds on the minute</td></tr><tr><td>{TIMESTAMP}</td><td>1711330141</td><td>Unix timestamp. Number of seconds since Jan 1st 1970.</td></tr><tr><td>{TIMESTAMP_MS}</td><td>1659992501</td><td>Timestamp with milliseconds when the workflow was triggered</td></tr><tr><td>{EVENT.EVENT_TYPE}</td><td>download</td><td>Event type that executed the workflow</td></tr><tr><td>{EVENT.SYSTEM}</td><td>webportal</td><td>Specifies the channel where the workflow was originated</td></tr><tr><td>{EVENT.STORAGE_ENGINE}</td><td>googledrive</td><td>Storage type name where the workflow was originated</td></tr><tr><td>{EVENT.STORAGE_ENGINE_ID}</td><td>4c0a140-9177-4581-98d3-4ea7215364aa</td><td>Unique identifier of the configured storage where the workflow was originated</td></tr><tr><td>{EVENT.TIMESTAMP}</td><td>1659442224.463902</td><td>Raw timestamp value of the event triggered in the workflow</td></tr><tr><td>{EVENT.EVENT_ID}</td><td>bef26414-b7c1-41de-986e-98de45abcd</td><td>Unique identifier of the event triggered every time a workflow is executed. All actions configured int he same workflow will share the same event ID. </td></tr><tr><td>{EVENT.additional_info.required_fields.&#x3C;FIELD_NAME>}</td><td></td><td>Substitute &#x3C;field_name> with the name of the Web Inbox required field to access data provided on upload. </td></tr></tbody></table>

{% hint style="info" %}
You can also create Custom Variables using the Extract Variable from Filename action. For more details, see [Supported Actions](/features/transfer-automations/supported-actions.md#available-actions).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.couchdrop.io/features/transfer-automations/variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
